/********** Template CSS **********/
:root {
    --primary: #06A3DA;
    --secondary: #34AD54;
    --light: #EEF9FF;
    --dark: #091E3E;
}
body {
    font-family: 'Raleway';
    font: "ralewayregular", Helvetica Neue, Helvetica, Arial, sans-serif;
    
    font-size: 16px;
}
.service-item h3 {
    font-size: 24px; /* Adjust the font size */
    color: #333; /* Set the text color */
    font-weight: bold; /* Make the heading bold */
    margin-bottom: 10px; /* Add space below the heading */
}

/*** Spinner ***/
.spinner {
    width: 40px;
    height: 40px;
    background: #92eb34;
    margin: 100px auto;
    -webkit-animation: sk-rotateplane 1.2s infinite ease-in-out;
    animation: sk-rotateplane 1.2s infinite ease-in-out;
}

@-webkit-keyframes sk-rotateplane {
    0% {
        -webkit-transform: perspective(120px)
    }
    50% {
        -webkit-transform: perspective(120px) rotateY(180deg)
    }
    100% {
        -webkit-transform: perspective(120px) rotateY(180deg) rotateX(180deg)
    }
}

@keyframes sk-rotateplane {
    0% {
        transform: perspective(120px) rotateX(0deg) rotateY(0deg);
        -webkit-transform: perspective(120px) rotateX(0deg) rotateY(0deg)
    }
    50% {
        transform: perspective(120px) rotateX(-180.1deg) rotateY(0deg);
        -webkit-transform: perspective(120px) rotateX(-180.1deg) rotateY(0deg)
    }
    100% {
        transform: perspective(120px) rotateX(-180deg) rotateY(-179.9deg);
        -webkit-transform: perspective(120px) rotateX(-180deg) rotateY(-179.9deg);
    }
}

#spinner {
    opacity: 0;
    visibility: hidden;
    transition: opacity .5s ease-out, visibility 0s linear .5s;
    z-index: 99999;
}

#spinner.show {
    transition: opacity .5s ease-out, visibility 0s linear 0s;
    visibility: visible;
    opacity: 1;
}

.service-item1 {
    margin-top: 30px;
    margin-bottom: 30px;
}

.service-item {
    margin-top: 25px;
    margin-bottom: 25px;
    padding: 15px; /* Add padding inside the div for spacing between content and borders */
}

    .service-item h5 {
        font-size: 20px;
        margin-bottom: 10px;
    }
/*** Heading ***/
.carousel-caption h1 {
    font-family: 'raleway';
    font: "Helvetica Neue", Helvetica, Arial, sans-serif;
    font-style: normal;
    font-weight: 700 !important;
    font-size: 35px;
}


h2 {
    font-weight:700 !important;
    font-size: 30px;
    font-family: 'Raleway';
    font: "ralewayregular", Helvetica Neue, Helvetica, Arial, sans-serif;
}
h1, h2, h3, h4, h5, h6 {
    font-family: 'Raleway';
    font: "ralewayregular", Helvetica Neue, Helvetica, Arial, sans-serif;
}


/*** Button ***/
.btn {
    
    font-weight: 600;
    transition: .5s;
}

.btn-primary,
.btn-secondary {
    color: #FFFFFF;
    box-shadow: inset 0 0 0 50px transparent;
}

.btn-primary:hover {
    box-shadow: inset 0 0 0 0 var(--primary);
}

.btn-secondary:hover {
    box-shadow: inset 0 0 0 0 var(--secondary);
}

.btn-square {
    width: 36px;
    height: 36px;
}

.btn-sm-square {
    width: 30px;
    height: 30px;
}

.btn-lg-square {
    width: 48px;
    height: 48px;
}

.btn-square,
.btn-sm-square,
.btn-lg-square {
    padding-left: 0;
    padding-right: 0;
    text-align: center;
}


/*** Navbar ***/
.navbar-dark .navbar-nav .nav-link {
    
    position: relative;
    margin-left: 25px;
    padding: 35px 0;
    color: #FFFFFF;
    font-size: 18px;
    font-weight: 600;
    outline: none;
    transition: .5s;
}

.sticky-top.navbar-dark .navbar-nav .nav-link {
    padding: 20px 0;
    color: var(--dark);
}

.navbar-dark .navbar-nav .nav-link:hover,
.navbar-dark .navbar-nav .nav-link.active {
    color: var(--primary);
}

.navbar-dark .navbar-brand h1 {
    color: #FFFFFF;
}

.navbar-dark .navbar-toggler {
    color: var(--primary) !important;
    border-color: var(--primary) !important;
}




/*
.background {
    margin: 0;
    display: grid;
    grid-template-columns: repeat(auto-fit);
    gap: 1rem;
    align-items: center;
    justify-content: center;
    background: url("img/carousel-1.jpg");
}
.carousel-item img{
    --dotSize: 0.1rem;
    aspect-ratio: 1;
    position: relative;
    background-image: radial-gradient(circle at center, black var(--dotSize), transparent 0);
    background-size: 0.3rem 0.3rem;
    background-repeat: round;
    background-position: center;
    border: 4px solid;
}
/**/
/*
.card img {
    position: relative;
    background-blend-mode: multiply;
    background-image: url('img/carousel-1.jpg'),radial-gradient(circle,black 10%,transparent 10%);
    background-size:cover,20px,20px;

}*/
/*
.image {
    margin: 0;
    display: grid;
    grid-template-columns: repeat(auto-fit);
    gap: 1rem;
    align-items: center;
    justify-content: center;
    background: url("img/carousel-1.jpg");
}

.halftone {
    --dotSize: 0.1rem;
    aspect-ratio: 1;
    position: relative;
    background-image: radial-gradient(circle at center, black var(--dotSize), transparent 0);
    background-size: 0.3rem 0.3rem;
    background-repeat: round;
    background-position: center;
    border: 4px solid;
}
}
    */
/*** Carousel ***/
.carousel-caption {
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 1;
   /* margin-bottom: 200px;*/
}

    .carousel-caption img{
        filter:blur(100px);
    }
    .carousel-caption hr {
        margin-bottom: 0.1em;
        margin-top: 0.1em;
        border-top: 0.1em dotted white;
    }

.carousel-inner .carousel-item {
    transition: -webkit-transform 1s ease;
    transition: transform 1s ease;

}

.carousel-control-prev,
.carousel-control-next {
    width: 10%;
   /* margin-bottom: 150px;*/
}

.carousel-control-prev-icon,
.carousel-control-next-icon {
    width: 3rem;
    height: 3rem;
 /*   margin-bottom: 150px;*/
}


/*** Section Title ***/
.section-title::before {
    position: absolute;
    content: "";
    width: 150px;
    height: 5px;
    left: 0;
    bottom: 0;
    background: #92eb34;
    border-radius: 2px;
}

.section-title.text-center::before {
    left: 50%;
    margin-left: -75px;
}

.section-title.section-title-sm::before {
    width: 90px;
    height: 3px;
}

.section-title::after {
    position: absolute;
    content: "";
    width: 6px;
    height: 5px;
    bottom: 0px;
    background: #FFFFFF;
    -webkit-animation: section-title-run 5s infinite linear;
    animation: section-title-run 5s infinite linear;
}

.section-title.section-title-sm::after {
    width: 4px;
    height: 3px;
}

.section-title.text-center::after {
    -webkit-animation: section-title-run-center 5s infinite linear;
    animation: section-title-run-center 5s infinite linear;
}

.section-title.section-title-sm::after {
    -webkit-animation: section-title-run-sm 5s infinite linear;
    animation: section-title-run-sm 5s infinite linear;
}

@-webkit-keyframes section-title-run {
    0% {left: 0; } 50% { left : 145px; } 100% { left: 0; }
}

@-webkit-keyframes section-title-run-center {
    0% { left: 50%; margin-left: -75px; } 50% { left : 50%; margin-left: 45px; } 100% { left: 50%; margin-left: -75px; }
}

@-webkit-keyframes section-title-run-sm {
    0% {left: 0; } 50% { left : 85px; } 100% { left: 0; }
}


/*** Service ***/
.service-item {
    position: relative;
    height: 130px;
    padding: 0 30px;
    transition: .5s;
}

.service-item .service-icon {
    margin-bottom: 30px;
    width: 60px;
    height: 60px;
    display: flex;
    align-items: center;
    justify-content: center;
    background: var(--primary);
    border-radius: 2px;
    transform: rotate(-45deg);
}

.service-item .service-icon i {
    transform: rotate(45deg);
}

.service-item a.btn {
    position: absolute;
    width: 60px;
    bottom: -48px;
    left: 50%;
    margin-left: -30px;
    opacity: 0;
}

.service-item:hover a.btn {
    bottom: -24px;
    opacity: 1;
}
.service-item p{
    font-size:14px;
}
    .service-item h2 {
        font-weight: 700 !important;
    }
    .service-item h1 {
        font-weight:  700 !important;
    }
    .service-item h6 {
        font-weight: 700 !important;
    }
    /*** Testimonial ***/
    .testimonial-carousel .owl-dots {
        margin-top: 15px;
        display: flex;
        align-items: flex-end;
        justify-content: center;
    }

.testimonial-carousel .owl-dot {
    position: relative;
    display: inline-block;
    margin: 0 5px;
    width: 15px;
    height: 15px;
    /*background: #DDDDDD;*/
    border-radius: 2px;
    transition: .5s;
}

.testimonial-carousel .owl-dot.active {
    width: 30px;
    background: var(--primary);
}

.testimonial-carousel .owl-item.center {
    position: relative;
    z-index: 1;
}

.testimonial-carousel .owl-item .testimonial-item {
    transition: .5s;
}

.testimonial-carousel .owl-item.center .testimonial-item {
    background: #FFFFFF !important;
    box-shadow: 0 0 30px #DDDDDD;
}


/*** Team ***/
.team-item {
    transition: .5s;
}

.team-social {
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: .5s;
}

.team-social a.btn {
    position: relative;
    margin: 0 3px;
    margin-top: 100px;
    opacity: 0;
}

.team-item:hover {
    box-shadow: 0 0 30px #DDDDDD;
}

.team-item:hover .team-social {
    background: rgba(9, 30, 62, .7);
}

.team-item:hover .team-social a.btn:first-child {
    opacity: 1;
    margin-top: 0;
    transition: .3s 0s;
}

.team-item:hover .team-social a.btn:nth-child(2) {
    opacity: 1;
    margin-top: 0;
    transition: .3s .05s;
}

.team-item:hover .team-social a.btn:nth-child(3) {
    opacity: 1;
    margin-top: 0;
    transition: .3s .1s;
}

.team-item:hover .team-social a.btn:nth-child(4) {
    opacity: 1;
    margin-top: 0;
    transition: .3s .15s;
}

.team-item .team-img img,
.blog-item .blog-img img  {
    transition: .5s;
}

.team-item:hover .team-img img,
.blog-item:hover .blog-img img {
    transform: scale(1.15);
}
/* Default Styles (for large screens) */
.container {
    padding: 30px;
}

img {
    width: 100%;
    height: auto;
}

/* For Large screens */
/*@media (min-width: 1200px) {
    .container {
        padding: 30px;*/ /* Keep padding the same for large screens */
    /*}
}*/

/* For Medium screens (tablets) */
/*@media (max-width: 992px) {
    .container {
        padding: 15px;*/ /* Reduce padding on tablets */
    /*}

    img {
        width: 100%;*/ /* Ensure full width image */
        /*height: auto;*/ /* Maintain aspect ratio */
    /*}
}*/

/* For Small screens (mobiles) */
/*@media (max-width: 768px) {
    .container {
        padding: 10px;*/ /* Further reduce padding on small screens */
    /*}

    img {
        width: 100%;*/ /* Ensure full width image */
        /*height: auto;*/ /* Maintain aspect ratio */
    /*}
}*/


/*** Miscellaneous ***/


.back-to-top {
    position: fixed;
    display: none;
    right: 45px;
    bottom: 45px;
    z-index: 99;
}

.bg-header {
    /*background: linear-gradient(rgba(9, 30, 62, .7), rgba(9, 30, 62, .7)), url(../img/carousel-1.jpg) center center no-repeat;*/
    /*background: url(../img/carousel-1.jpg) center center no-repeat;*/
    /*background-size: cover;*/
}

.link-animated a {
    transition: .1s;
}

.link-animated a:hover {
    padding-left: 10px;
}


.grid-container i {
    color: #92eb34;
}
.icon ul{
    list-style:none;
}
.grid-container {
    display: grid;
    grid-template-columns: auto auto;
    gap: 30px;
    
    padding: 10px;
    justify-content: center;
}
    .grid-container > div {
        background-color: rgb(84, 89, 95, 0.3);
        border-style: none;
        /* text-align: center;*/
        text-align: left;
        /*margin-left: 3px;*/
        /*  height: 500px;*/
        padding: 20px 20px 20px 20px;
        font-size: 14px;
        width: 400px;
        font: 14px;
    }
input {
    width: 100%;
    padding: 10px;
    background-color: rgb(84, 89, 95);
    border: none;
    outline: none;
    margin-bottom: 5px;
    height: 40px;
}
.select-button1 {
    width: 100%;
    padding: 10px;
    background-color: rgb(84, 89, 95);
    border: none;
    outline: none;
    margin-bottom: 5px;
    height: 40px;
}


/*.form-select:focus{
    background-color: transparent;
}
    */
/*.options {
    background-color: #e3f5d3;
    border: #b51414;
    outline: none;
    border-color: #b51414;
}
    */
/*
.option:hover {
    color: #b51414;
    outline: none;
    background-color: inherit;
    cursor:pointer;
}
    */
.grid-container button {
    background-color: #92eb34;
    width: 80px;
    height: 30px;
    display: block;
    text-align: center;
    cursor: pointer;
    border: none;
    border-radius: 4px;
    color: white;
    outline: none;
    margin-bottom: 5px;
}

.grid-container .btn{
    transition:none;
    box-shadow:none;
}
.option1:hover {
    color: #92eb34;
    cursor: pointer;
}
#desc {
    box-sizing: border-box;
    height: 150px;
    padding: 5px 0px;
    width: 100%;
    padding: 10px;
    background-color: rgb(84, 89, 95);
    border: none;
    outline: none;
    margin-bottom: 5px;
}

.links a {
    font-size: 23px;
    border: 1px solid  rgb(44, 62, 80, 0.5);
    margin-right: 20px;
    padding: 15px;
    width: 60px;
    color: rgb(59, 89, 152);
}
    .links a:hover {
        border: 1px solid #63ed0e;
        
    }
/*
.form-select {
    width: 200px;
    margin: 20px;
}

.select1 {
    position: relative;
    cursor: pointer;
}

.select-button1 {
    padding: 10px;
    border: 1px solid #ccc;
    border-radius: 4px;
    background-color: #f8f8f8;
    color: #333;
}

.options1 {
    position: absolute;
    top: 100%;
    left: 0;
    width: 100%;
    border: 1px solid #ccc;
    border-radius: 4px;
    background-color: #fff;
    display: none;
    z-index: 1;
}

.option1 {
    padding: 10px;
    cursor: pointer;
}

    .option1:hover {
        background-color: #f1f1f1;
    }
*/
.message {
    display: none;
    border: 1px solid yellow;
    /*color: #b51414;*/ 
    padding: 8px;
}

    .message.show {
        display: block;
    }
